FERROR(3)

NAME
ferror, feof, clearerr, fileno - stream status inquiries

SYNOPSIS
#include <stdio.h>
int feof(FILE *stream)
int ferror(FILE *stream)
int clearerr(FILE *stream)
int fileno(FILE *stream)

DESCRIPTION
Feof returns non-zero when end of file is read on the named input stream, otherwise zero. Unless cleared by clearerr, the end-of-file indication lasts until the stream is closed.

Ferror returns non-zero when an error has occurred reading or writing the named stream, otherwise zero. Unless cleared by clearerr, the error indication lasts until the stream is closed.

Clearerr resets the error and end-of-file indicators on the named stream.

Fileno returns the integer file descriptor associated with the stream, see open(2).

Currently all of these functions are implemented as macros; they cannot be redeclared.

SEE ALSO
fopen(3), open(2).